Subject: Re: X11 and stuff
From: [email-masked] (David Fox)

14 Oct 1998 13:19:04 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
To: jik- <[email-masked]>
Cc: [email-masked]

jik- <[email-masked]> writes:

> I am trying to compile X11 libs and can't do it....
> 1) the patch would not apply correctly, so I edited all the files by
> hand :\  Almost every hunk failed!  I even tried Linux patch...
> 2) even then it would not compile..."Makefile.proto: missing seperator
> line 27" etc....
> This is at a line which says "XCOMM" and had a tailing ^M which I
> removed with a perl script and it got worst :\  Instead of ignoring it
> and trying to continue, it just stopped right there..

These are symptoms that your ascii files have been converted to
DOS format - each newline now has a carriage return (^M) before it.
You need to set "export CYGWIN32=binmode" before you start doing
editing and patching.
-- 
David Fox           http://hci.ucsd.edu/dsf             xoF divaD
UCSD HCI Lab                                         baL ICH DSCU
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".